Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.util
Class MulticastFSMProbe

    java.lang.Object
      avrora.sim.util.TransactionalList
          avrora.sim.util.MulticastFSMProbe

All Implemented Interfaces:
  FiniteStateMachine.Probe

public class MulticastFSMProbe
extends TransactionalList
implements FiniteStateMachine.Probe

The `MulticastProbe` is a wrapper around multiple probes that allows them to act as a single probe. It is useful for composing multiple probes into one and is used internally in the simulator.

See Also:
  `FiniteStateMachine`

Nested Class Summary

Nested classes inherited from class avrora.sim.util.TransactionalList
`TransactionalList.Link`

Field Summary

Fields inherited from class avrora.sim.util.TransactionalList
`head, nesting, tail, transHead, transTail`

Constructor Summary
`MulticastFSMProbe()`

Method Summary
`void` | `fireAfterTransition(int beforeState, int afterState)` The `fireAfterTransition()` method allows the probe to gain control after the state machine transitions between two states.
`void` | `fireBeforeTransition(int beforeState, int afterState)` The `fireBeforeTransition()` method allows the probe to gain control before the state machine transitions between two states.

Methods inherited from class avrora.sim.util.TransactionalList
`add, beginTransaction, endTransaction, isEmpty, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MulticastFSMProbe

    public MulticastFSMProbe()

Method Detail

### fireBeforeTransition

    public void fireBeforeTransition(int beforeState,
                                     int afterState)

  Description copied from interface: `FiniteStateMachine.Probe`
  The `fireBeforeTransition()` method allows the probe to gain control before the state machine transitions between two states. The before state and the after state are passed as parameters.

  Specified by:
    `fireBeforeTransition` in interface `FiniteStateMachine.Probe`
  Parameters:
    `beforeState` - the before state represented as an integer
    `afterState` - the after state represented as an integer

### fireAfterTransition

    public void fireAfterTransition(int beforeState,
                                    int afterState)

  Description copied from interface: `FiniteStateMachine.Probe`
  The `fireAfterTransition()` method allows the probe to gain control after the state machine transitions between two states. The before state and the after state are passed as parameters.

  Specified by:
    `fireAfterTransition` in interface `FiniteStateMachine.Probe`
  Parameters:
    `beforeState` - the before state represented as an integer
    `afterState` - the after state represented as an integer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD